Starmade | Block preview rotation tooltip is obtrusive
Closed, FinishedPublic

Description

Not really a bug, but the tooltip for block orientation is very obstructive, and can block the mini preview block being rotated while the arrows beside it are used.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.200.334
Category
Ingame GUI/HUD
First occurrence (version)
0.200.250
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Go into build mode into a ship
  2. Use the arrows in the build menu to rotate blocks
Tester information (Internal use only)

Agreed.

An improvement would be to only have the tooltip display if you're hovering over the square with the block preview in it, excluding the arrows.
If you do this, then also reduce the tooltip delay for it so it shows faster.

Serverconfig (server.cfg)
<replace this block with the file content,
but do not remove the first and last line.
Before using the paste function,
mark the area from the opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
<replace this block with the file content,
but do not remove the first and last line.
Before using the paste function,
mark the area from the opening angle bracket to the closing angle bracket>
Endal created this task.Dec 31 2017, 4:31 AM
Restricted Application added a project: Issue Navigation. · View Herald TranscriptDec 31 2017, 4:31 AM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
lancake claimed this task.EditedMar 20 2018, 5:08 PM
lancake moved this task from New / Unconfirmed to Confirmed on the Issue Navigation board.
lancake added a subscriber: lancake.

-validated- & -confirmed-

Agreed.

An improvement would be to only have the tooltip display if you're hovering over the square with the block preview in it, excluding the arrows.
If you do this, then also reduce the tooltip delay for it so it shows faster.

lancake shifted this object from the S1 Public space to the S3 Starmade space.Mar 20 2018, 5:11 PM
lancake changed the title from "Rotate block tooltip obstructive" to "Block preview rotation tooltip is obtrusive ".
lancake changed the task status from "Open" to "In Queue".
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake changed Reproducible from uncertain to Yes.
lancake changed Last tested (version) from 0.200.250 to 0.200.334.
lancake set First occurrence (version) to 0.200.250.
Restricted Application edited projects, added Starmade, Game Development, GUI/HUD; removed Issue Navigation. · View Herald TranscriptMar 20 2018, 5:11 PM
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 26 2018, 11:28 AM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 26 2018, 11:28 AM
lancake closed this task as "Closed".

-QA Testing-

Fix confirmed.

Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 8 2018, 5:34 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript